<ng-container *ngIf="loggedinUser && loggedinUser.userId">
    <mat-card class="p-0">
        <mat-card-title>
            <span class="post-title">Yeni Olay</span>
        </mat-card-title>
        <mat-card-content>
            <form [formGroup]="form" (ngSubmit)="sendPost()">
      
                <mat-form-field>
                  <textarea cols="10" rows="10" class="txt-add-post" matInput placeholder="Neler oluyor?" formControlName="message"></textarea>
                </mat-form-field>
              
              <!-- <p *ngIf="error" class="error">
                Hata.
              </p> -->
              <br/>
              <!-- <label for="filePicker">Resim ekleyebilirsin:</label><br>
        <input type="file" id="filePicker" (change)="handleFileSelect($event)">
        <img [src]="mediaUrl" style="max-width: 10%; height: auto;"> -->
              <div class="button">
                <button type="submit" mat-button color="primary">Kaydet</button>
              </div>
            
            </form>
        </mat-card-content>
    </mat-card>
</ng-container>